Skip to main content
GET
/
valorant
/
v1
/
stored-matches
/
{affinity}
/
{name}
/
{tag}
Get stored matches by name (v1)
curl --request GET \
  --url https://api.henrikdev.xyz/valorant/v1/stored-matches/{affinity}/{name}/{tag}
import requests

url = "https://api.henrikdev.xyz/valorant/v1/stored-matches/{affinity}/{name}/{tag}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.henrikdev.xyz/valorant/v1/stored-matches/{affinity}/{name}/{tag}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "meta": {
        "id": "<string>",
        "map": {
          "id": "<string>",
          "name": "<string>"
        },
        "mode": "<string>",
        "region": "<string>",
        "season": {
          "id": "<string>",
          "short": "<string>"
        },
        "started_at": "<string>",
        "version": "<string>",
        "cluster": "<string>"
      },
      "stats": {
        "assists": 1,
        "character": {
          "id": "<string>",
          "name": "<string>"
        },
        "damage": {
          "made": 123,
          "received": 123
        },
        "deaths": 1,
        "kills": 1,
        "level": 1,
        "puuid": "<string>",
        "score": 123,
        "shots": {
          "body": 1,
          "head": 1,
          "leg": 1
        },
        "team": "<string>",
        "tier": 1,
        "name": "<string>",
        "tag": "<string>"
      },
      "teams": {
        "blue": 1,
        "red": 1
      }
    }
  ],
  "results": {
    "after": 123,
    "before": 123,
    "returned": 123,
    "total": 123
  },
  "status": 1
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}
{
"errors": [
{
"code": 1,
"message": "<string>",
"status": 1,
"details": "<unknown>"
}
]
}

Path Parameters

affinity
string
required

Region/affinity (e.g., na, eu, ap, kr)

name
string
required

Riot ID name

tag
string
required

Riot ID tag

Query Parameters

mode
string

Game mode filter (optional)

map
string

Map filter (optional)

size
integer<int32>

Number of results (optional)

Response

Stored match history retrieved successfully

data
object[]
required
results
object
required
status
integer<int32>
required
Required range: x >= 0